%define upstream_name Dist-Zilla-Util-CurrentCmd
%define upstream_version 0.002003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Attempt to determine the current command Dist::Zilla is running under
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose) >= 2.120.500
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module exists in case you are absolutely certain you want to have
different behaviors for either a plugin, or a bundle, to trigger on ( or
off ) a specific phase.

Usually, this is a bad idea, and the need to do this suggests a poor
choice of work-flow to begin with.

That said, this utility is *probably* more useful in a bundle than in a
plugin, in that it will be slightly more optimal than say, having an
"ENV" flag to control this difference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-3.mga8
+ Revision: 1504333
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-2.mga7
+ Revision: 1283480
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.2.3-1.mga7
+ Revision: 1126008
- update to 0.002003

* Sun Jun 19 2016 pterjan <pterjan> 0.2.2-3.mga6
+ Revision: 1026771
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.2-2.mga6
+ Revision: 966496
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.2.2-1.mga6
+ Revision: 845798
- update to 0.002002

* Sun Oct 19 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 788894
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 743013
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-2.mga5
+ Revision: 684601
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 664215
- update to 0.002001

* Sun Aug 03 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 659431
- update to 0.002000

* Thu Jul 24 2014 sander85 <sander85> 0.1.1-1.mga5
+ Revision: 656304
- update to 0.001001

* Wed Jun 04 2014 sander85 <sander85> 0.1.0-1.mga5
+ Revision: 633070
- imported package perl-Dist-Zilla-Util-CurrentCmd

